.ProseMirror {
  position: relative;
}

.ProseMirror {
  word-wrap: break-word;
  white-space: pre-wrap;
  white-space: break-spaces;
  -webkit-font-variant-ligatures: none;
  font-variant-ligatures: none;
  font-feature-settings: "liga" 0; /* the above doesn't seem to work in Edge */
}

.ProseMirror pre {
  white-space: pre-wrap;
}

.ProseMirror li {
  position: relative;
}

.ProseMirror-hideselection *::selection { background: transparent; }

.ProseMirror-hideselection *::-moz-selection { background: transparent; }

.ProseMirror-hideselection { caret-color: transparent; }

/* See https://github.com/ProseMirror/prosemirror/issues/1421#issuecomment-1759320191 */

.ProseMirror [draggable][contenteditable=false] { user-select: text }

.ProseMirror-selectednode {
  outline: 2px solid #8cf;
}

/* Make sure li selections wrap around markers */

li.ProseMirror-selectednode {
  outline: none;
}

li.ProseMirror-selectednode:after {
  content: "";
  position: absolute;
  left: -32px;
  right: -2px; top: -2px; bottom: -2px;
  border: 2px solid #8cf;
  pointer-events: none;
}

/* Protect against generic img rules */

img.ProseMirror-separator {
  display: inline !important;
  border: none !important;
  margin: 0 !important;
}
.milkdown {
  position: relative;
}

  .milkdown * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }

  .milkdown button,
  .milkdown input {
    border: none;
    background: none;
    box-shadow: none;
  }

  .milkdown button:focus, .milkdown input:focus {
      outline: none;
    }

  .milkdown :focus-visible {
    outline: none;
  }

  .milkdown {

  font-family: var(--crepe-font-default);
  color: var(--crepe-color-on-background);
  background: var(--crepe-color-background);
}

  .milkdown .milkdown-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
  }

  .milkdown .ProseMirror-focused {
    outline: none;
  }

  .milkdown .ProseMirror {
    padding: 60px 120px;
  }

  .milkdown .ProseMirror *::-moz-selection {
      background: var(--crepe-color-selected);
    }

  .milkdown .ProseMirror *::selection {
      background: var(--crepe-color-selected);
    }

  .milkdown .ProseMirror li.ProseMirror-selectednode {
      background: var(--crepe-color-selected);
      outline: none;
    }

  .milkdown .ProseMirror li.ProseMirror-selectednode ::-moz-selection {
        background: transparent;
      }

  .milkdown .ProseMirror li.ProseMirror-selectednode ::selection {
        background: transparent;
      }

  .milkdown .ProseMirror li.ProseMirror-selectednode::-moz-selection {
        background: transparent;
      }

  .milkdown .ProseMirror li.ProseMirror-selectednode::selection {
        background: transparent;
      }

  .milkdown .ProseMirror li.ProseMirror-selectednode:after {
      all: unset;
    }

  .milkdown .ProseMirror .ProseMirror-selectednode {
      background: var(--crepe-color-selected);
      outline: none;
      background: color-mix(
        in srgb,
        var(--crepe-color-selected),
        transparent 60%
      );
    }

  .milkdown .ProseMirror .ProseMirror-selectednode ::-moz-selection {
        background: transparent;
      }

  .milkdown .ProseMirror .ProseMirror-selectednode ::selection {
        background: transparent;
      }

  .milkdown .ProseMirror .ProseMirror-selectednode::-moz-selection {
        background: transparent;
      }

  .milkdown .ProseMirror .ProseMirror-selectednode::selection {
        background: transparent;
      }

  .milkdown .ProseMirror[data-dragging='true']::-moz-selection, .milkdown .ProseMirror[data-dragging='true'] *::-moz-selection {
        background: transparent;
      }

  .milkdown .ProseMirror[data-dragging='true'] .ProseMirror-selectednode,
      .milkdown .ProseMirror[data-dragging='true']::selection,
      .milkdown .ProseMirror[data-dragging='true'] *::selection {
        background: transparent;
      }

  .milkdown .ProseMirror[data-dragging='true'] input::-moz-selection {
        background: var(--crepe-color-selected);
      }

  .milkdown .ProseMirror[data-dragging='true'] input::selection {
        background: var(--crepe-color-selected);
      }

  .milkdown .ProseMirror img {
      vertical-align: bottom;
      max-width: 100%;
    }

  .milkdown .ProseMirror img.ProseMirror-selectednode {
        background: none;
        outline: 2px solid var(--crepe-color-primary);
      }

  .milkdown .ProseMirror h1,
    .milkdown .ProseMirror h2,
    .milkdown .ProseMirror h3,
    .milkdown .ProseMirror h4,
    .milkdown .ProseMirror h5,
    .milkdown .ProseMirror h6 {
      font-family: var(--crepe-font-title);
      font-weight: 400;
      padding: 2px 0;
    }

  .milkdown .ProseMirror h1 {
      font-size: 42px;
      line-height: 50px;
      margin-top: 32px;
    }

  .milkdown .ProseMirror h2 {
      font-size: 36px;
      line-height: 44px;
      margin-top: 28px;
    }

  .milkdown .ProseMirror h3 {
      font-size: 32px;
      line-height: 40px;
      margin-top: 24px;
    }

  .milkdown .ProseMirror h4 {
      font-size: 28px;
      line-height: 36px;
      margin-top: 20px;
    }

  .milkdown .ProseMirror h5 {
      font-size: 24px;
      line-height: 32px;
      margin-top: 16px;
    }

  .milkdown .ProseMirror h6 {
      font-size: 18px;
      font-weight: 700;
      line-height: 28px;
      margin-top: 16px;
    }

  .milkdown .ProseMirror p {
      font-size: 16px;
      line-height: 24px;
      padding: 4px 0;
    }

  .milkdown .ProseMirror code {
      color: var(--crepe-color-inline-code);
      background: color-mix(
        in srgb,
        var(--crepe-color-inline-area),
        transparent 40%
      );
      font-family: var(--crepe-font-code);
      padding: 0 2px;
      border-radius: 4px;
      font-size: 87.5%;
      display: inline-block;
      line-height: 1.4286;
    }

  .milkdown .ProseMirror a {
      color: var(--crepe-color-primary);
      text-decoration: underline;
    }

  .milkdown .ProseMirror pre {
      background: color-mix(
        in srgb,
        var(--crepe-color-inline-area),
        transparent 40%
      );
      padding: 10px;
      border-radius: 4px;
    }

  .milkdown .ProseMirror pre code {
        padding: 0;
        background: transparent;
      }

  .milkdown .ProseMirror blockquote {
      position: relative;
      padding-left: 40px;
      padding-top: 0;
      padding-bottom: 0;
      box-sizing: content-box;
      margin: 4px 0;
    }

  .milkdown .ProseMirror blockquote::before {
        content: '';
        width: 4px;
        left: 0;
        top: 4px;
        bottom: 4px;
        position: absolute;
        background: var(--crepe-color-selected);
        border-radius: 100px;
      }

  .milkdown .ProseMirror blockquote hr {
        margin-bottom: 16px;
      }

  .milkdown .ProseMirror hr {
      border: none;
      background-color: color-mix(
        in srgb,
        var(--crepe-color-outline),
        transparent 80%
      );
      background-clip: content-box;
      padding: 6px 0;
      height: 13px;
      position: relative;
    }

  .milkdown .ProseMirror hr.ProseMirror-selectednode {
        outline: none;
        background-color: color-mix(
          in srgb,
          var(--crepe-color-outline),
          transparent 20%
        );
        background-clip: content-box;
      }

  .milkdown .ProseMirror hr.ProseMirror-selectednode::before {
          content: '';
          position: absolute;
          left: 0;
          top: 0;
          bottom: 0;
          right: 0;
          background-color: color-mix(
            in srgb,
            var(--crepe-color-outline),
            transparent 80%
          );
          pointer-events: none;
        }

  .milkdown .ProseMirror ul,
    .milkdown .ProseMirror ol {
      padding: 0;
    }
.milkdown .milkdown-list-item-block {
    display: block;
    padding: 0;
  }

    .milkdown .milkdown-list-item-block > .list-item {
      display: flex;
      align-items: flex-start;
    }

    .milkdown .milkdown-list-item-block > .list-item > .children {
      min-width: 0;
      flex: 1;
    }

    .milkdown .milkdown-list-item-block li {
      gap: 10px;
    }

    .milkdown .milkdown-list-item-block li .label-wrapper {
        color: var(--crepe-color-outline);
      }

    .milkdown .milkdown-list-item-block li .label-wrapper svg {
          fill: var(--crepe-color-outline);
        }

    .milkdown .milkdown-list-item-block li .label-wrapper {
        height: 32px;
        width: 24px;
        display: flex;
        justify-content: center;
        align-items: center;
}

    .milkdown .milkdown-list-item-block li .label-wrapper .label {
          height: 32px;
          padding: 4px 0;
          width: 24px;
          text-align: right;
        }

    .milkdown .milkdown-list-item-block li .label-wrapper .checked,
        .milkdown .milkdown-list-item-block li .label-wrapper .unchecked {
          cursor: pointer;
        }

    .milkdown .milkdown-list-item-block li .label-wrapper .readonly {
          cursor: not-allowed;
        }
.milkdown .milkdown-block-handle[data-show='false'] {
      opacity: 0;
      pointer-events: none;
    }
    .milkdown .milkdown-block-handle {
    transition: all 0.2s;
    position: absolute;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2px;
}
    .milkdown .milkdown-block-handle .operation-item {
      border-radius: 4px;
      width: 32px;
      height: 32px;
      padding: 4px;
    }
    .milkdown .milkdown-block-handle .operation-item svg {
        width: 24px;
        height: 24px;
        fill: var(--crepe-color-outline);
      }
    .milkdown .milkdown-block-handle .operation-item:hover {
        background: var(--crepe-color-hover);
      }
    .milkdown .milkdown-block-handle .operation-item.active {
        background: var(--crepe-color-selected);
      }
  .milkdown .milkdown-slash-menu[data-show='false'] {
      display: none;
    }
  .milkdown .milkdown-slash-menu {
    position: absolute;
    z-index: 10;
    display: block;
    font-family: var(--crepe-font-default);
    color: var(--crepe-color-on-surface);
    background: var(--crepe-color-surface);
    border-radius: 12px;
    box-shadow: var(--crepe-shadow-1);
}
  .milkdown .milkdown-slash-menu ul {
      list-style-type: none;
    }
  .milkdown .milkdown-slash-menu ul li {
        cursor: pointer;
        border-radius: 8px;
      }
  .milkdown .milkdown-slash-menu .tab-group {
      border-bottom: 1px solid
        color-mix(in srgb, var(--crepe-color-outline), transparent 80%);
      padding: 12px 12px 0;
    }
  .milkdown .milkdown-slash-menu .tab-group ul {
        padding: 8px 10px;
        display: flex;
        gap: 10px;
        flex-wrap: nowrap;
      }
  .milkdown .milkdown-slash-menu .tab-group ul li {
          padding: 6px 10px;
          font-size: 14px;
          font-style: normal;
          font-weight: 600;
          line-height: 20px;
        }
  .milkdown .milkdown-slash-menu .tab-group ul li:hover {
            background: var(--crepe-color-hover);
          }
  .milkdown .milkdown-slash-menu .tab-group ul li.selected {
            background: var(--crepe-color-selected);
          }
  .milkdown .milkdown-slash-menu .menu-groups {
      padding: 0 12px 12px;
      max-height: 420px;
      overflow: auto;
      overscroll-behavior: contain;
      scroll-behavior: smooth;
    }
  .milkdown .milkdown-slash-menu .menu-groups .menu-group h6 {
          font-size: 14px;
          font-style: normal;
          font-weight: 600;
          line-height: 20px;
          padding: 14px 10px;
          text-transform: uppercase;
          color: color-mix(
            in srgb,
            var(--crepe-color-on-surface),
            transparent 40%
          );
        }
  .milkdown .milkdown-slash-menu .menu-groups .menu-group li {
          min-width: 220px;
          display: flex;
          justify-content: flex-start;
          align-items: center;
          gap: 16px;
          padding: 14px 10px;
        }
  .milkdown .milkdown-slash-menu .menu-groups .menu-group li.hover {
            background: var(--crepe-color-hover);
          }
  .milkdown .milkdown-slash-menu .menu-groups .menu-group li.active {
            background: var(--crepe-color-selected);
          }
  .milkdown .milkdown-slash-menu .menu-groups .menu-group li svg {
            width: 24px;
            height: 24px;
            color: var(--crepe-color-outline);
            fill: var(--crepe-color-outline);
          }
  .milkdown .milkdown-slash-menu .menu-groups .menu-group li > span {
            font-size: 14px;
            font-style: normal;
            font-weight: 600;
            line-height: 20px;
          }
  .milkdown .milkdown-slash-menu .menu-groups .menu-group + .menu-group::before {
        content: '';
        display: block;
        height: 1px;
        background: color-mix(
          in srgb,
          var(--crepe-color-outline),
          transparent 80%
        );
        margin: 0 10px;
      }
.milkdown:has(.milkdown-link-preview[data-show='true']) .milkdown-toolbar,
  .milkdown:has(.milkdown-link-edit[data-show='true']) .milkdown-toolbar {
    display: none;
  }
  .milkdown .milkdown-toolbar[data-show='false'] {
      display: none;
    }
  .milkdown .milkdown-toolbar {
    z-index: 10;
    position: absolute;
    display: flex;
    background: var(--crepe-color-surface);
    box-shadow: var(--crepe-shadow-1);
    border-radius: 8px;
    overflow: hidden;
}
  .milkdown .milkdown-toolbar .divider {
      width: 1px;
      background: color-mix(
        in srgb,
        var(--crepe-color-outline),
        transparent 80%
      );
      height: 24px;
      margin: 10px;
    }
  .milkdown .milkdown-toolbar .toolbar-item {
      width: 32px;
      height: 32px;
      margin: 6px;
      padding: 4px;
      cursor: pointer;
      border-radius: 4px;
    }
  .milkdown .milkdown-toolbar .toolbar-item:hover {
        background: var(--crepe-color-hover);
      }
  .milkdown .milkdown-toolbar .toolbar-item:active {
        background: var(--crepe-color-selected);
      }
  .milkdown .milkdown-toolbar .toolbar-item svg {
        height: 24px;
        width: 24px;
        color: var(--crepe-color-outline);
        fill: var(--crepe-color-outline);
      }
  .milkdown .milkdown-toolbar .toolbar-item.active svg {
          color: var(--crepe-color-primary);
          fill: var(--crepe-color-primary);
        }
.milkdown .milkdown-link-preview {
    position: absolute;
    z-index: 10;
  }
    .milkdown .milkdown-link-preview[data-show='false'] {
      display: none;
    }
    .milkdown .milkdown-link-preview > .link-preview {
      height: 32px;
      display: flex;
      justify-content: center;
      padding: 4px 10px;
      background: var(--crepe-color-surface);
      gap: 10px;
      border-radius: 8px;
      cursor: pointer;
      box-shadow: var(--crepe-shadow-1);
    }
    .milkdown .milkdown-link-preview > .link-preview > .link-display {
        text-decoration: none;
        color: unset;
      }
    .milkdown .milkdown-link-preview > .link-preview > .link-display:hover:before {
        display: block;
      }
    .milkdown .milkdown-link-preview > .link-preview > .link-icon > svg {
          width: 18px;
          height: 18px;
          color: var(--crepe-color-outline);
          fill: var(--crepe-color-outline);
        }
    .milkdown .milkdown-link-preview > .link-preview > .link-icon {
        border-radius: 8px;
        padding: 3px;
        line-height: 24px;
}
    .milkdown .milkdown-link-preview > .link-preview > .link-icon:hover {
          background: var(--crepe-color-hover);
        }
    .milkdown .milkdown-link-preview > .link-preview > .link-display {
        width: 240px;
        line-height: 24px;
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: 14px;
        white-space: nowrap;
      }
    .milkdown .milkdown-link-preview > .link-preview > .link-display:hover {
          text-decoration: underline;
        }
    .milkdown .milkdown-link-preview > .link-preview > .button > svg {
          width: 18px;
          height: 18px;
          color: var(--crepe-color-outline);
          fill: var(--crepe-color-outline);
        }
    .milkdown .milkdown-link-preview > .link-preview > .button {
        padding: 3px;
        border-radius: 8px;
        line-height: 24px;
}
    .milkdown .milkdown-link-preview > .link-preview > .button:hover {
          background: var(--crepe-color-hover);
        }
  .milkdown .milkdown-link-edit {
    position: absolute;
    z-index: 10;
  }
  .milkdown .milkdown-link-edit[data-show='false'] {
      display: none;
    }
  .milkdown .milkdown-link-edit > .link-edit {
      height: 32px;
      display: flex;
      justify-content: center;
      padding: 4px 10px 4px 20px;
      background: var(--crepe-color-surface);
      gap: 8px;
      border-radius: 8px;
      box-shadow: var(--crepe-shadow-1);
    }
  .milkdown .milkdown-link-edit > .link-edit > .input-area {
        outline: none;
        background: transparent;
        width: 200px;
        font-size: 14px;
        color: var(--crepe-color-on-background);
      }
  .milkdown .milkdown-link-edit > .link-edit > .button > svg {
          width: 18px;
          height: 18px;
          color: var(--crepe-color-outline);
          fill: var(--crepe-color-outline);
        }
  .milkdown .milkdown-link-edit > .link-edit > .button {
        padding: 3px;
        cursor: pointer;
        border-radius: 8px;
        font-size: 12px;
        line-height: 24px;
}
  .milkdown .milkdown-link-edit > .link-edit > .button:hover {
          background: var(--crepe-color-hover);
        }
  .milkdown .milkdown-link-edit > .link-edit > .button.hidden {
          visibility: hidden;
        }
.ProseMirror .tableWrapper {
  overflow-x: auto;
}
.ProseMirror table {
  border-collapse: collapse;
  table-layout: fixed;
  width: 100%;
  overflow: hidden;
}
.ProseMirror td,
.ProseMirror th {
  vertical-align: top;
  box-sizing: border-box;
  position: relative;
}
.ProseMirror td:not([data-colwidth]):not(.column-resize-dragging),
.ProseMirror th:not([data-colwidth]):not(.column-resize-dragging) {
  /* if there's no explicit width set and the column is not being resized, set a default width */
  min-width: var(--default-cell-min-width);
}
.ProseMirror .column-resize-handle {
  position: absolute;
  right: -2px;
  top: 0;
  bottom: 0;
  width: 4px;
  z-index: 20;
  background-color: #adf;
  pointer-events: none;
}
.ProseMirror.resize-cursor {
  cursor: ew-resize;
  cursor: col-resize;
}
/* Give selected cells a blue overlay */
.ProseMirror .selectedCell:after {
  z-index: 2;
  position: absolute;
  content: '';
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: rgba(200, 200, 255, 0.4);
  pointer-events: none;
}
.milkdown .milkdown-table-block {
    display: block;
    margin: 4px 0;
  }
.milkdown .milkdown-table-block th,
    .milkdown .milkdown-table-block td {
      border: 1px solid
        color-mix(in srgb, var(--crepe-color-outline), transparent 80%);
      padding: 4px 16px;
    }
.milkdown .milkdown-table-block th .ProseMirror-selectednode, .milkdown .milkdown-table-block td .ProseMirror-selectednode {
        background-color: transparent !important;
      }
.milkdown .milkdown-table-block th:has(.ProseMirror-selectednode), .milkdown .milkdown-table-block td:has(.ProseMirror-selectednode) {
        outline: 1px solid var(--crepe-color-primary);
        outline-offset: -1px;
      }
.milkdown .milkdown-table-block .selectedCell::after {
        background-color: var(--crepe-color-selected);
        opacity: 0.4;
      }
.milkdown .milkdown-table-block .selectedCell ::-moz-selection {
        background: transparent;
      }
.milkdown .milkdown-table-block .selectedCell ::selection {
        background: transparent;
      }
.milkdown .milkdown-table-block .drag-preview {
      background-color: var(--crepe-color-surface);
      opacity: 0.4;
      position: absolute;
      z-index: 100;
      display: flex;
      flex-direction: column;
      outline: 1px solid var(--crepe-color-primary);
      outline-offset: -1px;
    }
.milkdown .milkdown-table-block .drag-preview[data-show='false'] {
        display: none;
      }
.milkdown .milkdown-table-block .drag-preview th:has(.ProseMirror-selectednode), .milkdown .milkdown-table-block .drag-preview td:has(.ProseMirror-selectednode) {
          outline: none;
        }
.milkdown .milkdown-table-block .handle {
      position: absolute;
      font-size: 14px;
      transition: opacity ease-in-out 0.2s;
    }
.milkdown .milkdown-table-block .handle[data-show='false'] {
      opacity: 0;
    }
.milkdown .milkdown-table-block svg {
      fill: var(--crepe-color-outline);
    }
.milkdown .milkdown-table-block .cell-handle {
      z-index: 50;
      left: -999px;
      top: -999px;
      cursor: grab;
      background-color: var(--crepe-color-surface);
      color: var(--crepe-color-outline);
      border-radius: 100px;
      box-shadow: var(--crepe-shadow-1);
      transition: background-color 0.2s ease-in-out;
    }
.milkdown .milkdown-table-block .cell-handle:hover {
        background-color: var(--crepe-color-hover);
      }
.milkdown .milkdown-table-block .cell-handle:has(.button-group:hover) {
        background-color: var(--crepe-color-surface);
      }
.milkdown .milkdown-table-block .cell-handle[data-role='col-drag-handle'] {
        transform: translateY(50%);
        padding: 0 6px;
        width: 28px;
        height: 16px;
      }
.milkdown .milkdown-table-block .cell-handle[data-role='row-drag-handle'] {
        transform: translateX(50%);
        padding: 6px 0;
        width: 16px;
        height: 28px;
      }
.milkdown .milkdown-table-block .cell-handle .button-group {
        position: absolute;
        transform: translateX(-50%);
        left: 50%;
        top: -52px;
        display: flex;
        background-color: var(--crepe-color-surface);
        border-radius: 8px;
        box-shadow: var(--crepe-shadow-1);
      }
.milkdown .milkdown-table-block .cell-handle .button-group::after {
          content: '';
          position: absolute;
          bottom: -8px;
          height: 8px;
          background-color: transparent;
          width: 100%;
        }
.milkdown .milkdown-table-block .cell-handle .button-group[data-show='false'] {
          display: none;
        }
.milkdown .milkdown-table-block .cell-handle .button-group button {
          cursor: pointer;
          margin: 6px;
          padding: 4px;
          display: flex;
          justify-content: center;
          align-items: center;
          border-radius: 4px;
        }
.milkdown .milkdown-table-block .cell-handle .button-group button svg {
            width: 24px;
            height: 24px;
          }
.milkdown .milkdown-table-block .cell-handle .button-group button:hover {
            border-radius: 8px;
            background-color: var(--crepe-color-hover);
          }
.milkdown .milkdown-table-block .cell-handle .button-group button:active {
            background: var(--crepe-color-selected);
          }
.milkdown .milkdown-table-block .cell-handle:hover {
        opacity: 1;
      }
.milkdown .milkdown-table-block .line-handle {
      z-index: 20;
      background-color: var(--crepe-color-primary);
    }
.milkdown .milkdown-table-block .line-handle:hover {
        opacity: 1;
      }
.milkdown .milkdown-table-block .line-handle .add-button {
        cursor: pointer;
        background-color: var(--crepe-color-surface);
        color: var(--crepe-color-outline);
        border-radius: 100px;
        box-shadow: var(--crepe-shadow-1);
        transition: background-color 0.2s ease-in-out;
      }
.milkdown .milkdown-table-block .line-handle .add-button svg {
          width: 16px;
          height: 16px;
        }
.milkdown .milkdown-table-block .line-handle .add-button:hover {
          background-color: var(--crepe-color-hover);
        }
.milkdown .milkdown-table-block .line-handle .add-button:active {
          background: var(--crepe-color-selected);
        }
.milkdown .milkdown-table-block .line-handle[data-role='x-line-drag-handle'] {
        height: 1px;
        z-index: 2;
      }
.milkdown .milkdown-table-block .line-handle[data-role='x-line-drag-handle'] .add-button {
          position: absolute;
          transform: translateX(-50%) translateY(-50%);
          padding: 6px 0;
          width: 16px;
          height: 28px;
        }
.milkdown .milkdown-table-block .line-handle[data-role='y-line-drag-handle'] {
        width: 1px;
        z-index: 1;
      }
.milkdown .milkdown-table-block .line-handle[data-role='y-line-drag-handle'] .add-button {
          position: absolute;
          transform: translateY(-50%) translateX(-50%);
          padding: 0 6px;
          width: 28px;
          height: 16px;
        }
.milkdown .milkdown-table-block .line-handle[data-display-type='indicator'] .add-button {
          display: none;
        }
.milkdown .milkdown-table-block.readonly .handle {
      display: none;
    }
.milkdown {
  --crepe-color-background: #fdfcff;
  --crepe-color-on-background: #1b1c1d;
  --crepe-color-surface: #f8f9ff;
  --crepe-color-surface-low: #f2f3fa;
  --crepe-color-on-surface: #191c20;
  --crepe-color-on-surface-variant: #43474e;
  --crepe-color-outline: #73777f;
  --crepe-color-primary: #37618e;
  --crepe-color-secondary: #d7e3f8;
  --crepe-color-on-secondary: #101c2b;
  --crepe-color-inverse: #2e3135;
  --crepe-color-on-inverse: #eff0f7;
  --crepe-color-inline-code: #ba1a1a;
  --crepe-color-error: #ba1a1a;
  --crepe-color-hover: #eceef4;
  --crepe-color-selected: #e1e2e8;
  --crepe-color-inline-area: #d8dae0;

  --crepe-font-title: Rubik, Cambria, 'Times New Roman', Times, serif;
  --crepe-font-default: Inter, Arial, Helvetica, sans-serif;
  --crepe-font-code:
    'JetBrains Mono', Menlo, Monaco, 'Courier New', Courier, monospace;

  --crepe-shadow-1:
    0px 1px 3px 1px rgba(0, 0, 0, 0.15), 0px 1px 2px 0px rgba(0, 0, 0, 0.3);
  --crepe-shadow-2:
    0px 2px 6px 2px rgba(0, 0, 0, 0.15), 0px 1px 2px 0px rgba(0, 0, 0, 0.3);
}
.milkdown .ProseMirror {
    padding: 8px 24px 8px 90px;
    th {
        font-weight: bold;
    }
}
.milkdown {
    background: transparent;
}
@media print {
    .milkdown .ProseMirror {
        padding: 24px;
    }
}